Get metadata for all reports based on query parameters
get
/ec-reporting-svc/rest/v1.0/reportmetadata
Retrieves all reporting metadata for the given study and mode. Returns a full list of ReportMetadataStatusContainer objects containing all details for the reporting templates for this study.
Request
Query Parameters
-
mode: string
Mode of the study. Accepts test, active, or training.Example:
test -
studyId(required): string(uuid)
Study identifier (UUID)Example:
AABB1234DD884FA1A9DC1AFDECBA1A35
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successfully returned all reporting metadata.
Root Schema : BaseResponse
Type:
objectBase response object for all reporting service endpoints, providing a standard structure for status, result, and errorData.
Show Source
-
ErrorResponseData: object
ErrorResponseData
-
result: object
result
Generic result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
-
status: string
Response status for the request; typically 'success' or 'error'.Example:
success
Nested Schema : result
Type:
objectGeneric result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
Nested Schema : details
Type:
objectExamples
400 Response
Bad request or study not found.
Root Schema : BaseResponse
Type:
objectBase response object for all reporting service endpoints, providing a standard structure for status, result, and errorData.
Show Source
-
ErrorResponseData: object
ErrorResponseData
-
result: object
result
Generic result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
-
status: string
Response status for the request; typically 'success' or 'error'.Example:
success
Nested Schema : result
Type:
objectGeneric result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
Nested Schema : details
Type:
objectExamples
404 Response
Not found: User not authorized for download or metadata not found.
Root Schema : BaseResponse
Type:
objectBase response object for all reporting service endpoints, providing a standard structure for status, result, and errorData.
Show Source
-
ErrorResponseData: object
ErrorResponseData
-
result: object
result
Generic result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
-
status: string
Response status for the request; typically 'success' or 'error'.Example:
success
Nested Schema : result
Type:
objectGeneric result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error.
Root Schema : BaseResponse
Type:
objectBase response object for all reporting service endpoints, providing a standard structure for status, result, and errorData.
Show Source
-
ErrorResponseData: object
ErrorResponseData
-
result: object
result
Generic result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
-
status: string
Response status for the request; typically 'success' or 'error'.Example:
success
Nested Schema : result
Type:
objectGeneric result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
Nested Schema : details
Type:
objectExamples